version: '2'

catalog:
  name: FORTS
  version: 0
  description: FORTS provider
  questions:
    - variable: LOG_ENABLE
      label: log enable
      description: >
        нужно подключить директорию с логами
      type: boolean
      required: true
      default: true
    - variable: LOG_HOME
      label: log home
      description: >
        собирать логи в домашнюю директорию
      type: boolean
      required: true
      default: true
    - variable: PROVIDER_VERSION
      label: provider version
      description: >
        версия FORTS провайдера
      type: string
      required: true
      default: latest
    - variable: LOGROTATE_VERSION
      label: logrotate version
      description: >
        версия LOGROTATE
      type: string
      required: true
      default: latest
    - variable: PORT
      label: PORT
      description: >
        сетевой порт FORTS
      type: int
      required: true
      default: 8999
    - variable: LOG_INTERVAL
      label: log interval
      description: >
        интервал ротации логов
      type: string
      required: true
      default: hourly
    - variable: LOG_COMPRESS
      label: log compress
      description: >
        делать сжатие?
      type: string
      required: true
      default: compress
    - variable: LOG_SIZE
      label: log size
      description: >
        размер ротируемого лога
      type: string
      required: true
      default: 1K
    - variable: LOG_CRONSHEDULE
      label: cronshedule
      description: >
        расписание запуска ротации
      type: string
      required: true
      default: '*/10 * * * *'
    - variable: LOG_DIR
      label: directory logs
      description: >
        директория в контейнере где будут ротироваться логи
      type: string
      required: true
      default: /var/log/provider
    - variable: LOG_COPIES
      label: Log copies
      description: >
        количество копий
      type: int
      required: true
      default: 10
    
services:
  forts:
    scale: 1
